
ISOLINUX_BIN:=/usr/lib/isolinux/isolinux.bin

isodir:
	-mv $(BASE_DIR)/isoimage.old $(BASE_DIR)/isoimage.old2
	-mv $(BASE_DIR)/isoimage $(BASE_DIR)/isoimage.old
	-rm -rf $(BASE_DIR)/isoimage.old2
	mkdir $(BASE_DIR)/isoimage
	
	mkdir $(BASE_DIR)/isoimage/packages
	mkdir $(BASE_DIR)/isoimage/modules
	mkdir $(BASE_DIR)/isoimage/live
	mkdir $(BASE_DIR)/isoimage/isolinux
	
	cp -a $(ISOLINUX_BIN) $(BASE_DIR)/isoimage/isolinux/.
	cp -a $(LICENSES_DIR) $(BASE_DIR)/isoimage/isolinux/.
	
	cp $(INITRD_DIR)/initrd.gz $(BASE_DIR)/isoimage/isolinux/initrd.gz
	cp $(ADD_DIR)/add.bz2 $(BASE_DIR)/isoimage/.
	
	cp $(SCRIPTS_DIR)/config $(BASE_DIR)/isoimage/.
	cp $(SCRIPTS_DIR)/hosts $(BASE_DIR)/isoimage/.
	cp $(SCRIPTS_DIR)/firewall.ini $(BASE_DIR)/isoimage/.
	cp $(SCRIPTS_DIR)/network.ini $(BASE_DIR)/isoimage/.
	cp $(SCRIPTS_DIR)/floppyfw.msg $(BASE_DIR)/isoimage/.
	cp $(SCRIPTS_DIR)/isolinux.cfg $(BASE_DIR)/isoimage/isolinux/.
	cp $(SCRIPTS_DIR)/modules.lst $(BASE_DIR)/isoimage/.

	cp $(PACKAGES_DIR)/ppp.bz2 $(BASE_DIR)/isoimage/packages/.
	cp -a $(MODULES_DIR)/lib/modules $(BASE_DIR)/isoimage/live/.

	cp $(LINUX_KERNEL) $(BASE_DIR)/isoimage/isolinux/vmlinuz


isofile:
	mkisofs -allow-multidot -o $(BASE_DIR)/floppyfw.iso \
	    -allow-lowercase -iso-level 3 -L -R \
	    -b isolinux/isolinux.bin -c isolinux/boot.cat \
	    -no-emul-boot -boot-load-size 4 -boot-info-table \
	    $(BASE_DIR)/isoimage
	
isoimage: $(PACKAGES_DIR)/ppp.bz2 initrd-ide add-package isodir isofile
