#############################################################
#
# openvpn
#
#############################################################

OPENVPN_SOURCE_URL=http://unc.dl.sourceforge.net/sourceforge/openvpn/
OPENVPN_SOURCE=openvpn-2.0_beta11.tar.gz
OPENVPN_DIR=$(BUILD_DIR)/openvpn-2.0_beta11

OPENVPN_PKG_DIR=$(PACKAGES_DIR)/openvpn

$(DL_DIR)/$(OPENVPN_SOURCE):
	 $(WGET) -P $(DL_DIR) $(OPENVPN_SOURCE_URL)$(OPENVPN_SOURCE)

openvpn-source: $(DL_DIR)/$(OPENVPN_SOURCE)

$(OPENVPN_DIR)/.unpacked: $(DL_DIR)/$(OPENVPN_SOURCE)
	zcat $(DL_DIR)/$(OPENVPN_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(OPENVPN_DIR)/.unpacked

$(OPENVPN_DIR)/.configured: $(OPENVPN_DIR)/.unpacked
	(cd $(OPENVPN_DIR); rm -rf config.cache; \
		./configure --prefix=$(OPENVPN_PKG_DIR)/usr \
		--enable-iproute2 \
		CFLAGS="-Os" \
	);
	touch  $(OPENVPN_DIR)/.configured

$(OPENVPN_DIR)/openvpn: $(OPENVPN_DIR)/.configured
	$(MAKE) -C $(OPENVPN_DIR) \
		CFLAGS="-Os -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes"

$(OPENVPN_PKG_DIR)/usr/sbin/openvpn: $(OPENVPN_DIR)/openvpn
	mkdir -p $(OPENVPN_PKG_DIR)
	$(MAKE) -C $(OPENVPN_DIR) \
		CFLAGS="-Os -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes" install
	-$(SSTRIP) $(OPENVPN_PKG_DIR)/usr/sbin/openvpn
	-rm -rf $(OPENVPN_PKG_DIR)/usr/man

openvpn: $(OPENVPN_PKG_DIR)/usr/sbin/openvpn

openvpn-clean:
	-$(MAKE) -C $(OPENVPN_DIR) clean
	-rm -rf $(OPENVPN_PKG_DIR)/*

openvpn-dirclean:
	-rm -rf $(OPENVPN_DIR)
	-rm -rf $(OPENVPN_PKG_DIR)
